This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 183051 - Remove dependency on xterm
Remove dependency on xterm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 14:38 EST by David Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 13:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2006-02-25 14:38:06 EST
During the FC4 cycle, there have been quite a few updates to xterm. I never 
use this, so set about removing it as it's a waste of time/space/CPU to keep 
updating it. 
 
However, "rpm -q --whatrequires" says that xinitrc depends upon it, which 
means that you can't have X without xterm. 
 
Looking at the code /etc/X11/xinit/xinitrc, it seems that this dependency is 
only needed for if /etc/X11/xinit/Xclients  does not exist. But seeing as this 
file is also part of xinitrc, that can't happen. 
 
The other file it is referenced from is /etc/X11/xinit/Xclients itself, but in 
this case it is only executed if it exists (if [ -x /usr/bin/xterm ] ; then) - 
i.e. there is explicit allowance for it not existing. 
 
Hence I conclude that xterm is not a real dependency of xinitrc, and the 
dependency should be removed. It only gets called of xinitrc has itself been 
damaged.
Comment 1 David Anderson 2006-02-25 14:39:30 EST
I forgot to mention. xterm is only called from /etc/X11/xinit/Xclients if you 
don't have GNOME or KDE. If you're that kind of user, you probably know what 
you're doing, and will install xterm manually. 
Comment 2 Jason Vas Dias 2006-02-27 13:26:49 EST
The ability to start an xterm is required for any failsafe / rescue mode session,
or for being able to start X without either GNOME or KDE installed .  
I think the default xinitrc Xclients SHOULD contain xterm, and hence 
must have a dependency on the xterm package.  
If the default Xclients file did not contain xterm, what terminal would you
suggest that it invoke ? We don't want to replace the xterm dependancy with
one on GNOME gnome-terminal / KDE konsole.  It would be impossible to do anything
with an XSession that did not use any window manager if there were no terminal
invoked, and hence Xclients must have a dependancy on a terminal program - this
has always been xterm. If we removed the xterm dependency, users could end up
with a failsafe / rescue mode session that did nothing and could not be exited.
Comment 3 David Anderson 2006-02-28 09:58:13 EST
"The ability to start an xterm is required for any failsafe / rescue mode 
session, or for being able to start X without either GNOME or KDE installed." 
 
I'd say that the first case here, "failsafe/rescue", is something 99.9% of 
users do in text-only mode (at the console, or via SSH), not in X. 
 
The second case, "for being able to start X without either GNOME or KDE 
installed" isn't a true dependency - it's an option. If X _must_ have a 
terminal, then the user has the option of GNOME, KDE, or a barebones 
situation. If they choose to not have GNOME or KDE, then fine - give them 
xterm. But this is by no means a real "dependency". 
 
I say, let the user choose. It's not a real dependency. 
Comment 4 Jason Vas Dias 2006-02-28 10:07:08 EST
RE: > If they choose to not have GNOME or KDE, then fine - give them 
    > xterm. But this is by no means a real "dependency". 
    > I say, let the user choose. It's not a real dependency. 

Yes, but if the xinitrc package did not specify a dependency on xterm,
it would be unable to contain an xterm invocation in any of its scripts,
so the user would be unable to choose to run X without GNOME or KDE .

> If X _must_ have a terminal, then the user has the option of GNOME, KDE,
> or a barebones situation.

xterm IS the "barebones situation" in this case; without it, users would
not have the option of running X without GNOME or KDE.

Sorry, but as xterm has always been part of every X Windows distribution,
xinit must be able to depend on it - this is NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.